Update Businesses Enrollments
Businesses Events
Update Businesses Enrollments
Update enrollments for businesses
PATCH
Update Businesses Enrollments
Description
Update an existing enrollment.How It Works
How It Works
- Input: Define parameters including enrollment_key and enrollment_id to update, and updated business_ids, and event_types.
- Processing: The system will update your your enrollment and update the monitoring for events.
- Output: A confirmation response containing your enrollment_key and enrollment_id for future reference.
Query Parameters
Query Parameters
| Field | Type | Description |
|---|---|---|
| enrollment_key | String | A unique identifier for this enrollment |
| enrollment_id | String | A unique identifier for this enrollment |
| business_ids | Array | List of Business IDs to monitor for events |
| event_types | Array | Types of events to monitor (e.g., ipo_announcement, new_funding_round) |
Example Request (cURL)
Example Request (cURL)
Bash
Example Response
Example Response
JSON
Authorizations
Body
application/json
Minimum string length:
4Minimum array length:
1Enumeration of business-related event identifiers.
This enum defines various types of events associated with businesses, such as:
- Financial activities (e.g., IPO announcements, new funding rounds, new investments)
- Organizational changes (e.g., new offices, closing offices, mergers and acquisitions)
- Workforce trends (e.g., hiring in specific departments, increases or decreases in department sizes)
- Product and partnership updates (e.g., new products, new partnerships)
- Other significant events (e.g., company awards, outages, cost-cutting measures, legal issues)
These identifiers are used to categorize and track business events within the application.
Available options:
ipo_announcement, new_funding_round, new_investment, new_product, new_office, closing_office, new_partnership, increase_in_engineering_department, increase_in_sales_department, increase_in_marketing_department, increase_in_operations_department, increase_in_customer_service_department, increase_in_all_departments, decrease_in_engineering_department, decrease_in_sales_department, decrease_in_marketing_department, decrease_in_operations_department, decrease_in_customer_service_department, decrease_in_all_departments, employee_joined_company, hiring_in_creative_department, hiring_in_education_department, hiring_in_engineering_department, hiring_in_finance_department, hiring_in_health_department, hiring_in_human_resources_department, hiring_in_legal_department, hiring_in_marketing_department, hiring_in_operations_department, hiring_in_professional_service_department, hiring_in_sales_department, hiring_in_support_department, hiring_in_trade_department, hiring_in_unknown_department, company_award, outages_and_security_breaches, cost_cutting, merger_and_acquisitions, lawsuits_and_legal_issues Required array length:
1 - 20 elementsPattern:
^[a-f0-9]{32}$Example:
null